<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [connect](./bitburner.singularity.connect.md)

## Singularity.connect() method

Connect to a server.

<b>Signature:</b>

```typescript
connect(hostname: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  hostname | string |  |

<b>Returns:</b>

boolean

True if the connect command was successful, false otherwise.

## Remarks

RAM cost: 2 GB \* 16/4/1

Run the connect HOSTNAME command in the terminal. Can only connect to neighbors.

